/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.eventmesh.metrics.api.model;

import java.util.HashMap;
import java.util.Map;

import lombok.Data;

/**
 * Represents an instrument with a name, description, unit, and additional properties.
 */
@Data
public class InstrumentFurther {

    public static final String INSTRUMENT_VIEW = "instrument_view";

    private String name;

    private String description;

    private String unit;

    private Map<String, Object> ext = new HashMap<>();

    public void putExt(String key, Object value) {
        ext.put(key, value);
    }

}
